﻿<Window x:Class="Vieleck.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:Vieleck"
        mc:Ignorable="d"
        Title="Viereck" Height="450" Width="800">
    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="10"></ColumnDefinition>
            <ColumnDefinition Width="3*"></ColumnDefinition>
            <ColumnDefinition Width="*"></ColumnDefinition>
            <ColumnDefinition Width="10"></ColumnDefinition>
        </Grid.ColumnDefinitions>
        <Grid.RowDefinitions>
            <RowDefinition Height="10"></RowDefinition>
            <RowDefinition Height="100"></RowDefinition>
            <RowDefinition Height="*"></RowDefinition>
            <RowDefinition Height="30"></RowDefinition>
            <RowDefinition Height="10"></RowDefinition>
        </Grid.RowDefinitions>

        <Grid Grid.Row="1" Grid.Column="1" Grid.ColumnSpan="2">
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="*"></ColumnDefinition>
                <ColumnDefinition Width="*"></ColumnDefinition>
                <ColumnDefinition Width="*"></ColumnDefinition>
                <ColumnDefinition Width="*"></ColumnDefinition>
            </Grid.ColumnDefinitions>
            <GroupBox Grid.Column="1" Header="Punkt 2">
                <Grid>
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="3*"></ColumnDefinition>
                        <ColumnDefinition Width="2*"></ColumnDefinition>
                    </Grid.ColumnDefinitions>
                    <Grid.RowDefinitions>
                        <RowDefinition Height="*"></RowDefinition>
                        <RowDefinition Height="*"></RowDefinition>
                    </Grid.RowDefinitions>
                    <Label Content="x-Koord" Grid.Column="0" Grid.Row="0" VerticalAlignment="Center" HorizontalAlignment="Center"></Label>
                    <Label Content="y-Koord" Grid.Column="0" Grid.Row="1" VerticalAlignment="Center" HorizontalAlignment="Center"></Label>
                    <TextBox Text="5" x:Name="Input_X_Point_Two_Text_Box" Grid.Column="1" Grid.Row="0" Margin="3" VerticalContentAlignment="Center" HorizontalContentAlignment="Center"></TextBox>
                    <TextBox Text="100" x:Name="Input_Y_Point_Two_Text_Box" Grid.Column="1" Grid.Row="1" Margin="3" VerticalContentAlignment="Center" HorizontalContentAlignment="Center"></TextBox>
                </Grid>
            </GroupBox>
            <GroupBox Grid.Column="2" Header="Punkt 3">
                <Grid>
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="2*"></ColumnDefinition>
                        <ColumnDefinition Width="*"></ColumnDefinition>
                    </Grid.ColumnDefinitions>
                    <Grid.RowDefinitions>
                        <RowDefinition Height="*"></RowDefinition>
                        <RowDefinition Height="*"></RowDefinition>
                    </Grid.RowDefinitions>
                    <Label Content="x-Koord" Grid.Column="0" Grid.Row="0" VerticalAlignment="Center" HorizontalAlignment="Center"></Label>
                    <Label Content="y-Koord" Grid.Column="0" Grid.Row="1" VerticalAlignment="Center" HorizontalAlignment="Center"></Label>
                    <TextBox Text="150" x:Name="Input_X_Point_Three_Text_Box" Grid.Column="1" Grid.Row="0" Margin="3" VerticalContentAlignment="Center" HorizontalContentAlignment="Center"></TextBox>
                    <TextBox Text="100" x:Name="Input_Y_Point_Three_Text_Box" Grid.Column="1" Grid.Row="1" Margin="3" VerticalContentAlignment="Center" HorizontalContentAlignment="Center"></TextBox>
                </Grid>
            </GroupBox>
            <GroupBox Grid.Column="3" Header="Punkt 4">
                <Grid>
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="2*"></ColumnDefinition>
                        <ColumnDefinition Width="*"></ColumnDefinition>
                    </Grid.ColumnDefinitions>
                    <Grid.RowDefinitions>
                        <RowDefinition Height="*"></RowDefinition>
                        <RowDefinition Height="*"></RowDefinition>
                    </Grid.RowDefinitions>
                    <Label Content="x-Koord" Grid.Column="0" Grid.Row="0" VerticalAlignment="Center" HorizontalAlignment="Center"></Label>
                    <Label Content="y-Koord" Grid.Column="0" Grid.Row="1" VerticalAlignment="Center" HorizontalAlignment="Center"></Label>
                    <TextBox Text="70" x:Name="Input_X_Point_Four_Text_Box" Grid.Column="1" Grid.Row="0" Margin="3" VerticalContentAlignment="Center" HorizontalContentAlignment="Center"></TextBox>
                    <TextBox Text="80" x:Name="Input_Y_Point_Four_Text_Box" Grid.Column="1" Grid.Row="1" Margin="3" VerticalContentAlignment="Center" HorizontalContentAlignment="Center"></TextBox>
                </Grid>
            </GroupBox>
            <GroupBox Grid.Column="0" Header="Punkt 1">
                <Grid>
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="2*"></ColumnDefinition>
                        <ColumnDefinition Width="*"></ColumnDefinition>
                    </Grid.ColumnDefinitions>
                    <Grid.RowDefinitions>
                        <RowDefinition Height="*"></RowDefinition>
                        <RowDefinition Height="*"></RowDefinition>
                    </Grid.RowDefinitions>
                    <Label Content="x-Koord" Grid.Column="0" Grid.Row="0" VerticalAlignment="Center" HorizontalAlignment="Center"></Label>
                    <Label Content="y-Koord" Grid.Column="0" Grid.Row="1" VerticalAlignment="Center" HorizontalAlignment="Center"></Label>
                    <TextBox Text="20" x:Name="Input_X_Point_One_Text_Box" Grid.Column="1" Grid.Row="0" Margin="3" VerticalContentAlignment="Center" HorizontalContentAlignment="Center"></TextBox>
                    <TextBox Text="5"  x:Name="Input_Y_Point_One_Text_Box" Grid.Column="1" Grid.Row="1" Margin="3" VerticalContentAlignment="Center" HorizontalContentAlignment="Center"></TextBox>
                </Grid>
            </GroupBox>
        </Grid>
        
        <Image x:Name="Output_Image" VerticalAlignment="Center" HorizontalAlignment="Center" Grid.Column="1" Grid.Row="2" Grid.RowSpan="2"></Image>
        <TextBox x:Name="Output_Text_Box" Grid.Row="2" Grid.Column="2"></TextBox>
        <Button x:Name="Submit_Button" Click="Submit_Button_Click" Grid.Column="2" Grid.Row="3" Margin="3" Content="Vieleck zeichnen"></Button>
    </Grid>
</Window>
